# List all ReceivedCredit objects

Retrieves a list of ReceivedCredits.

## Request

```curl
curl https://api.stripe.com/v2/money_management/received_credits \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2025-06-30.preview"
```

### Response

```json
{
  "data": [
    {
      "id": "rc_61O18kMR4G9BiyFkn16NsjVW2gfQu2lIgkGQVy6ueCx6",
      "object": "v2.money_management.received_credit",
      "financial_account": "fa_65NvHabRWMmVKVjernQ16NsjgsfdSQu2lIgkGQVy6ueDtY",
      "amount": {
        "value": 100,
        "currency": "usd"
      },
      "description": "Weekly transfer 1",
      "type": "bank_transfer",
      "bank_transfer": {
        "payment_method_type": "us_bank_account",
        "statement_descriptor": "Fund Stripe account 05/12",
        "us_bank_account": {
          "last4": "4557",
          "routing_number": "011000022",
          "bank_name": "Goldman Sachs",
          "network": "ach"
        },
        "financial_address": "finaddr_61NvHgGH9ksEFkYqj16NsjVW4dSQu2lIgkGQVy6ueWsx"
      },
      "status": "succeeded",
      "status_details": null,
      "created": "2023-05-12T16:27:02.086Z",
      "receipt_url": "https://payments.stripe.com/transaction_receipt/CCMQARojCiF3a3NwX3Rlc3RfNk8wTVlLWjBTUURuM3A5OG9tZkQwWEEowNT4ogYyBvspfuDuEjpFlCZjXpjpVKRcHPK43kfFldwrwOO8ZPmRHjQmXL1jPf1GWWgoFxtL61dBWz-W2mEzwRgIgC0wPJi7M3HCUIOkSlwyfvHi",
      "status_transitions": {
        "succeeded_at": "2023-05-12T16:27:02.086Z",
        "failed_at": null,
        "returned_at": null
      },
      "livemode": true
    },
    {
      "id": "rc_61NvJ0vCutkwhd9kv16NsjVW3dSQu2lIasGQVy6sdAEq",
      "object": "v2.money_management.received_credit",
      "financial_account": "fa_65NvHabRWMmVKVjernQ16NsjgsfdSQu2lIgkGQVy6ueDtY",
      "amount": {
        "value": 100000000,
        "currency": "usd"
      },
      "description": "Weekly transfer 2",
      "type": "bank_transfer",
      "bank_transfer": {
        "payment_method_type": "us_bank_account",
        "statement_descriptor": "Fund Stripe account 05/09",
        "us_bank_account": {
          "last4": "4557",
          "routing_number": "011000022",
          "bank_name": "Goldman Sachs",
          "network": "ach"
        },
        "financial_address": "finaddr_61NvHgGH9ksEFkYqj16NsjVW4dSQu2lIgkGQVy6ueWsx"
      },
      "status": "succeeded",
      "status_details": null,
      "created": "2023-05-09T16:27:02.086Z",
      "receipt_url": "https://payments.stripe.com/transaction_receipt/CCMQARojCiF3a3NwX3Rlc3RfNk8wTVlLWjBTUURuM3A5OG9tZkQwWEEowNT4ogYyBiOaJJNGOjpFlA46et0qfvfYTzz0191oHra4Wpa5K80tLvWbiq3egozdIXbUTF95Ot0b5mwx6cf8iCmz28lFtP_Lo3X6MBS_B26m3aCj",
      "status_transitions": {
        "succeeded_at": "2023-05-09T16:27:02.086Z",
        "failed_at": null,
        "returned_at": null
      },
      "livemode": true
    }
  ],
  "next_page_url": null,
  "previous_page_url": null
}
```

## Parameters

- `created` (timestamp, optional)
  Filter for objects created at the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.

- `created_gt` (timestamp, optional)
  Filter for objects created after the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.

- `created_gte` (timestamp, optional)
  Filter for objects created on or after the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.

- `created_lt` (timestamp, optional)
  Filter for objects created before the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.

- `created_lte` (timestamp, optional)
  Filter for objects created on or before the specified timestamp. Must be an RFC 3339 date & time value, for example: 2022-09-18T13:22:00Z.

- `limit` (integer, optional)
  The page limit.

- `page` (string, optional)
  The page token.

## Returns

## Response attributes

- [`data`](https://docs.stripe.com/api/v2/money-management/received-credits/list.md?query=data&api-version=2025-06-30.preview) (array of objects)
  The retrieved ReceivedCredits.

- `next_page_url` (string, nullable)
  The next page url.

- `previous_page_url` (string, nullable)
  The previous page url.

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 404 | not_found | The resource wasn’t found. |
